*********************************************************************
*             Political Aftershocks: Dawn Brancati                  *
*      (Journal of Conflict Resolution) Replication Dataset         *
*********************************************************************

*Negative Binomial, Basic Model*
use "C:\Replication Data\JCRmths.FINAL.dta" 
*Table 1, Model 1*
nbreg events2_mth lg_events2_mth noquakes nbquakes y1-y13, robust cluster (srcname)
outreg using quakes.tb1, bdec(2) rdec(3) coefastr 3aster replace se
prvalue, x(noquakes=0 lg_events2_mth=0 nbquakes=0)
prvalue, x(noquakes=1 lg_events2_mth=0 nbquakes=0)
prvalue, x(noquakes=9 lg_events2_mth=0 nbquakes=0)
nbreg events2_mth lg_events2_mth q50 nbquakes y1-y13, robust cluster (srcname)
prvalue, x(q50=0 lg_events2_mth=0 nbquakes=0)
prvalue, x(q50=1 lg_events2_mth=0 nbquakes=0)
prvalue, x(q50=9 lg_events2_mth=0 nbquakes=0)
nbreg events2_mth lg_events2_mth mscale2 nbquakes y1-y13, robust cluster (srcname)
prvalue, x(mscale2=1 lg_events2_mth=0 nbquakes=0)
prvalue, x(mscale2=3 lg_events2_mth=0 nbquakes=0)
***Robustness***
*xtnbreg events2_mth lg_events2_mth noquakes nbquakes y1-y13, i(srcid) fe
*Note: The above models do not converge with lag included. 
*xtnbreg events2_mth lg_events2_mth q50 nbquakes, i(srcid) fe
*Note: The above models do not converge with year-fixed effects included.


*Negative Binomial, Basic Model Plus Controls*
nbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant anocracy elevdiff y1-y13, robust cluster (srcname)
outreg using quakes.tb1, bdec(2) rdec(3) coefastr 3aster append replace se
prvalue, x(q50=0 lg_events2_mth=0 nbquakes=0 gdp_constant = mean anocracy=0 elevdiff=mean)
prvalue, x(q50=1 lg_events2_mth=0 nbquakes=0 gdp_constant = mean anocracy=0 elevdiff=mean)
prvalue, x(q50=9 lg_events2_mth=0 nbquakes=0 gdp_constant = mean anocracy=0 elevdiff=mean)
***Robustness*** 
*nbreg events2_mth lg_events2_mth noquakes nbquakes gdp_constant anocracy elevdiff y1-y13, robust cluster (srcname)
*nbreg events2_mth lg_events2_mth mscale2 nbquakes gdp_constant anocracy elevdiff y1-y13, robust cluster (srcname)
*xtnbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant anocracy elevdiff y1-y13, i(srcid) fe
*nbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant polity2 sqpolity2 elevdiff y1-y13, robust cluster (srcname)


*Negative Binomial, Basic Model With Interactions
gen q50_gdp_constant = q50*gdp_constant
gen q50_lgevents = q50*lg_events2_mth
nbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant q50_gdp_constant q50_lgevents anocracy elevdiff y1-y13, robust cluster (srcname)
outreg using quakes.tb1, bdec(2) rdec(3) coefastr 3aster append replace se
prvalue, x(q50=1 lg_events2_mth=0 nbquakes=0 gdp_constant = 1000 q50_gdp_constant = 1000 q50_lgevents=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=1 lg_events2_mth=0 nbquakes=0 gdp_constant = 50000 q50_gdp_constant = 50000 q50_lgevents=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=2 lg_events2_mth=100 nbquakes=0 gdp_constant = 1000 q50_gdp_constant = 2000 q50_lgevents=200 anocracy=0 elevdiff=mean)
prvalue, x(q50=2 lg_events2_mth=100 nbquakes=0 gdp_constant = 10000 q50_gdp_constant = 50000 q50_lgevents=200 anocracy=0 elevdiff=mean)
***Robustness***
*xtnbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant q50_gdp_constant q50_lgevents anocracy elevdiff y1-y13, i(srcid) fe
*gen noquakes_gdp_constant = noquakes*gdp_constant
*gen noquakes_lgevents = noquakes*lg_events2_mth 
*nbreg events2_mth lg_events2_mth noquakes nbquakes gdp_constant noquakes_gdp_constant noquakes_lgevents anocracy elevdiff y1-y13, robust cluster (srcname)
*gen q50_anocracy = q50*anocracy
*nbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant q50_gdp_constant q50_lgevents q50_anocracy anocracy elevdiff y1-y13, robust cluster (srcname)
*xtnbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant q50_anocracy anocracy elevdiff y1-y13, i(srcid) fe
*Note: The above models would not converge with lag or year fixed effects included included.
*xtnbreg events2_mth q50 nbquakes gdp_constant q50_anocracy anocracy elevdiff, i(srcid) fe
*nbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant q50_gdp_constant anocracy elevdiff y1-y13, robust cluster (srcname)
*nbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant q50_lgevents anocracy elevdiff y1-y13, robust cluster (srcname)
*nbreg events2_mth lg_events2_mth q50 nbquakes gdp_constant q50_anocracy anocracy elevdiff y1-y13, robust cluster (srcname)
*gen noquakes_gdp_constant = noquakes*gdp_constant
*gen noquakes_lgevents = noquakes*lg_events2_mth
*nbreg events2_mth lg_events2_mth noquakes nbquakes gdp_constant noquakes_gdp_constant noquakes_lgevents anocracy elevdiff y1-y13, robust cluster (srcname)


use "C:\Replication Data\JCRyrs.FINAL.dta", clear
*Ordered Logit, Basic Model*
ologit rebel_max rebel_max_l noquakes nbquakes y11-y26, robust cluster(country)
outreg using quakes.tb2, bdec(2) rdec(3) coefastr 3aster replace se
prvalue, x(noquakes  = 0 rebel_max_l = 0 nbquakes=0)
prvalue, x(noquakes  = 3 rebel_max_l = 0 nbquakes=0)
ologit rebel_max rebel_max_l q50 nbquakes y11-y26, robust cluster(country)
prvalue, x(q50  = 0 rebel_max_l = 0 nbquakes=0)
prvalue, x(q50  = 3 rebel_max_l = 0 nbquakes=0)
ologit rebel_max rebel_max_l mscale2 nbquakes y11-y26, robust cluster(country)
prvalue, x(mscale2=1 rebel_max_l=0 nbquakes=0)
prvalue, x(mscale2=3 rebel_max_l=0 nbquakes=0)


*Ordered Logit, Basic Model with Controls*
ologit rebel_max rebel_max_l q50 nbquakes gdp_constant anocracy elevdiff y11-y26, robust cluster(country)
outreg using quakes.tb2, bdec(2) rdec(3) coefastr 3aster append  se
prvalue, x(q50 = 0 rebel_max_l = 0 nbquakes=0 gdp_constant = mean anocracy=0 elevdiff=mean)
prvalue, x(q50 = 3 rebel_max_l = 0 nbquakes=0 gdp_constant = mean anocracy=0 elevdiff=mean)
****Robustness*****
*ologit rebel_max rebel_max_l noquakes nbquakes gdp_constant anocracy elevdiff y11-y26, robust cluster(country)
*ologit rebel_max rebel_max_l mscale2 nbquakes gdp_constant anocracy  elevdiff y11-y26, robust cluster(country) 
*ologit rebel_max rebel_max_l q50 nbquakes gdp_constant polity sqpolity2 elevdiff y11-y26, robust cluster(country)


*Ordered Logit, Basic Model with Interactions*
gen q50_gdp_constant = gdp_constant*q50 
gen rebel_q50 = rebel_max_l*q50
ologit rebel_max rebel_max_l q50 rebel_q50 nbquakes  q50_gdp_constant gdp_constant anocracy elevdiff y11-y26, robust cluster(country)
outreg using quakes.tb2, bdec(2) rdec(3) coefastr 3aster append se
prvalue, x(q50=0 rebel_max_l =0 nbquakes=0 gdp_constant = 1000 q50_gdp_constant = 0 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=0 rebel_max_l =0 nbquakes=0 gdp_constant = 20000 q50_gdp_constant = 0 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=3 rebel_max_l =0 nbquakes=0 gdp_constant = 1000 q50_gdp_constant = 3000 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=3 rebel_max_l =0 nbquakes=0 gdp_constant = 20000 q50_gdp_constant =60000 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=5 rebel_max_l =0 nbquakes=0 gdp_constant = 1000 q50_gdp_constant = 5000 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=5 rebel_max_l =0 nbquakes=0 gdp_constant = 20000 q50_gdp_constant = 100000 rebel_q50=0 anocracy=0 elevdiff=mean)

prvalue, x(q50=0 rebel_max_l =0 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=0 rebel_max_l =2 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=2 rebel_max_l =0 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=2 rebel_max_l =2 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=4 anocracy=0 elevdiff=mean)
prvalue, x(q50=3 rebel_max_l =0 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=3 rebel_max_l =2 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=6 anocracy=0 elevdiff=mean)
prvalue, x(q50=4 rebel_max_l =0 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=4 rebel_max_l =2 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=8 anocracy=0 elevdiff=mean)
prvalue, x(q50=5 rebel_max_l =0 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=0 anocracy=0 elevdiff=mean)
prvalue, x(q50=5 rebel_max_l =2 nbquakes=0 gdp_constant = 0 q50_gdp_constant = 0 rebel_q50=10 anocracy=0 elevdiff=mean)


****Robustness****
*ologit rebel_max rebel_max_l q50 nbquakes q50_gdp_constant gdp_constant polity2 sqpolity2 elevdiff y11-y26, robust cluster(country)
*ologit rebel_max rebel_max_l q50 q50_gdp_constant nbquakes gdp_constant anocracy elevdiff y11-y26, robust cluster(country)
*ologit rebel_max rebel_max_l q50 rebel_q50 nbquakes gdp_constant anocracy elevdiff y11-y26, robust cluster(country)
*gen anocracy_q50 = q50*anocracy
*ologit rebel_max rebel_max_l q50 nbquakes gdp_constant q50_gdp_constant rebel_q50 anocracy anocracy_q50 elevdiff y11-y26, robust cluster(country)
*ologit rebel_max rebel_max_l q50 nbquakes gdp_constant anocracy anocracy_q50 elevdiff y11-y26, robust cluster(country)
*ologit rebel_max rebel_max_l q50 nbquakes gdp_constant anocracy anocracy_q50 elevdiff y11-y26, robust cluster(country)
*gen gdp_constant_noquakes = gdp_constant*noquakes
*gen rebel_noquakes = rebel_max_l*noquakes
*ologit rebel_max rebel_max_l noquakes rebel_noquakes nbquakes  gdp_constant_noquakes gdp_constant polity2 sqpolity2 elevdiff y11-y26, robust cluster(country)
 
*The following countries are those omitted from MAR for which data was added to the analysis: Armenia, Austria, Belgium, Benin, Burkina Faso, Central African Rep, Cuba, Czechoslovakia, Denmark, Finland, Gabon, Gambia, Guinea Bissau, Haiti, Iceland, Ireland, Ivory Coast, Jamaica,
*Korea Rep, Kuwait, Lesotho, Liberia, Libyan Arab Jamah, Luxembourg, Malawi, Mauritius, Mongolia, Mozambique, Nepal, Netherlands, Norway, Oman, Poland, Portugal, Slovenia, Swaziland, Sweden, Trinidad and Tobago, Tunisia, United Arab Emirates, and Yemen*


*Logit, Basic Model*
use "C:\Replication Data\JCRyrs.FINAL.dta", clear
logit war warl noquakes nbquakes y1-y26 if year >=1975, robust cluster(country)
outreg using quakes.tb3, bdec(2) rdec(3) coefastr 3aster replace se
logit war warl noquakes nbquakes if year >=1975, robust cluster(country)
prvalue, x(noquakes = 0 warl=0 nbquakes=0)
prvalue, x(noquakes = 3 warl=0 nbquakes=0)
logit war warl q50 nbquakes y1-y26 if year >=1975, robust cluster(country)
logit war warl q50 nbquakes if year >=1975, robust cluster(country)
prvalue, x(q50 = 0 warl=0 nbquakes=0)
prvalue, x(q50 = 3 warl=0 nbquakes=0)
logit war warl mscale2 nbquakes if year >=1975, robust cluster(country)
prvalue, x(mscale2=1 warl=0 nbquakes=0)
prvalue, x(mscale2=3 warl=0 nbquakes=0)
***Robustness***
*clogit war warl noquakes nbquakes y1-y26 if year >=1975, group(country) 
*clogit war warl noquakes nbquakes if year >=1975, group(country) 
*clogit war warl q50 nbquakes y1-y26 if year >=1975, group(country) 
*Note: Does not converge with year-fixed effects. 
*clogit war warl q50 nbquakes if year >=1975, group(country) 



*Logit, Basic Model with Controls*
logit war warl q50 nbquakes gdp_constant anocracy elevdiff y1-y26 if year >=1975, robust cluster(country)
outreg using quakes.tb3, bdec(2) rdec(3) coefastr 3aster append se
logit war warl q50 nbquakes gdp_constant anocracy elevdiff if year >=1975, robust cluster(country)
prvalue, x(q50 = 0 warl=0 nbquakes=0 gdp_constant = mean anocracy=0 elevdiff=mean)
prvalue, x(q50 = 3 warl=0 nbquakes=0 gdp_constant = mean anocracy=0 elevdiff=mean)
clogit war warl q50 nbquakes gdp_constant anocracy elevdiff y1-y26 if year >=1975, group(country)
*****Robustness*******
*logit war warl q50 nbquakes gdp_constant polity2 sqpolity2 elevdiff y1-y26 if year >=1975, robust cluster(country)
*clogit war warl noquakes nbquakes gdp_constant anocracy elevdiff y1-y26 if year >=1975, group(country) 


*Logit, Basic Model with Interactions*
gen q50_gdp_constant = q50*gdp_constant
gen warl_q50 = warl*q50
logit war warl q50 nbquakes gdp_constant q50_gdp_constant warl_q50 anocracy elevdiff y1-y26 if year >=1975, robust cluster(country)
outreg using quakes.tb3, bdec(2) rdec(3) coefastr 3aster append se
logit war warl q50 nbquakes gdp_constant q50_gdp_constant warl_q50 anocracy elevdiff if year >=1975, robust cluster(country)
prvalue, x(q50 = 0 warl=0 nbquakes=0 warl_q50=0 gdp_constant = 0 q50_gdp_constant=0 anocracy=0 elevdiff=mean)
prvalue, x(q50 = 0 warl=1 nbquakes=0 warl_q50=0 gdp_constant = 0 q50_gdp_constant=0 anocracy=0 elevdiff=mean)
prvalue, x(q50 = 1 warl=0 nbquakes=0 warl_q50=0 gdp_constant = 0 q50_gdp_constant=0 anocracy=0 elevdiff=mean)
prvalue, x(q50 = 1 warl=1 nbquakes=0 warl_q50=1 gdp_constant = 0 q50_gdp_constant=0 anocracy=0 elevdiff=mean)
prvalue, x(q50 = 3 warl=0 nbquakes=0 warl_q50=0 gdp_constant = 0 q50_gdp_constant=0 anocracy=0 elevdiff=mean)
prvalue, x(q50 = 3 warl=1 nbquakes=0 warl_q50=3 gdp_constant = 0 q50_gdp_constant=0 anocracy=0 elevdiff=mean)


*****Robustness*********
*clogit war warl q50 nbquakes gdp_constant q50_gdp_constant warl_q50 polity2 sqpolity2 elevdiff y1-y26 if year >=1975, group(country)
*logit war warl q50 nbquakes gdp_constant q50_gdp_constant anocracy elevdiff y1-y26 if year >=1975, robust cluster(country)
*logit war warl q50 nbquakes gdp_constant warl_q50 anocracy elevdiff y1-y26 if year >=1975, robust cluster(country)
*logit war warl q50 nbquakes gdp_constant q50_gdp_constant warl_q50 polity2 sqpolity2 elevdiff y1-y26 if year >=1975, robust cluster(country)
*logit war warl q50 nbquakes gdp_constant q50_gdp_constant polity2 sqpolity2 elevdiff y1-y26 if year >=1975, robust cluster(country)
*logit war warl q50 nbquakes gdp_constant warl_q50 polity2 sqpolity2 elevdiff y1-y26 if year >=1975, robust cluster(country)
*gen anocracy_q50 = q50*anocracy
*logit war warl q50 nbquakes gdp_constant anocracy_q50 q50_gdp_constant warl_q50 anocracy elevdiff y1-y26 if year >=1975, robust cluster(country)
*clogit war warl q50 nbquakes gdp_constant anocracy_q50 q50_gdp_constant warl_q50 anocracy elevdiff y1-y26 if year >=1975, group(country)
*gen noquakes_gdp_constant = noquakes*gdp_constant
*gen warl_noquakes = warl*noquakes
*logit war warl noquakes nbquakes gdp_constant noquakes_gdp_constant warl_noquakes polity2 sqpolity2 elevdiff y1-y26 if year >=1975, robust cluster(country)
*clogit war warl noquakes nbquakes gdp_constant noquakes_gdp_constant warl_noquakes polity2 sqpolity2 elevdiff y1-y26 if year >=1975, group(country)


*Death Data*
************************************************************************************************************************************
* There are a few instance of discrepencies between the Centennial number of earthquakes data and the USGS death toll data:        *
* They are Colombia (1987), India (1988), Iran Islam Rep (1997) and Tajikistan (1998), Papua New Guinea (1998)                     *
* They are because the deaths were a result of a tsunami arising from an earthquake, which is not captured in the number of        *
* earthquakes data, or the result of the epicenter of earthquake occuring in a bordering country, but being felt in another country* 						 													  *
************************************************************************************************************************************

nbreg events2_mth lg_events2_mth odeaths nbquakes y1-y13, robust cluster (srcname)
ologit rebel_max rebel_max_l odeaths nbquakes y11-y26, robust cluster(country)
logit war warl odeaths nbquakes y1-y26 if year >=1975, robust cluster(country)

